> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/api/client-libraries/redivis-r/reference/workflow/workflowusdquery.md).

# Workflow$query

### Workflow$<mark style="color:purple;">query</mark>(*query\_string*) → [Query](/api/client-libraries/redivis-r/reference/query.md)

Execute a SQL query scoped to a workflow. Table names do not need to be fully qualified, since all tables are assumed to be within the workflow.

### **Parameters:**

**`query_string` :&#x20;*****str*** \
The SQL query to execute. Must follow the [Redivis SQL query syntax](https://docs.redivis.com/reference/projects/transform-nodes/raw-sql).

### **Returns:**

[**Query**](/api/client-libraries/redivis-r/reference/query.md)

### Examples

<pre class="language-r"><code class="lang-r">workflow &#x3C;- redivis$user("imathews")$workflow("example_workflow_climate_analysis")

# The query can reference any table in the workflow
query &#x3C;- workflow$query("
    SELECT
        id,
<strong>        EXTRACT(YEAR FROM date) AS year,
</strong>        SUM(value) AS annual_precip
    FROM daily_observations
    WHERE (element = 'PRCP')
    GROUP BY id, year
")
query$to_tibble()
# 	id	        year	    annual_precip
# 0	CA0023026HN	2003	    2925.0
# ...
</code></pre>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.redivis.com/api/client-libraries/redivis-r/reference/workflow/workflowusdquery.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
